package com.example.shwetank.dialogpracticehcl;

import android.app.AlertDialog;
import android.app.DatePickerDialog;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import android.view.View.OnClickListener;

import org.w3c.dom.Text;

import java.util.Calendar;

public class MainActivity extends AppCompatActivity {

    final Context context = this;
    private Button button;
    TextView txtMainScreen;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        button = (Button) findViewById(R.id.alert2);
        txtMainScreen = (TextView)findViewById(R.id.txtMainScreen);


        button.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View arg0) {

                final Dialog dialog = new Dialog(context);
                dialog.setContentView(R.layout.custom);

                final EditText ed = (EditText)dialog.findViewById(R.id.edt1);

                Button dialogButton = (Button) dialog.findViewById(R.id.dialogButtonOK);
                // if button is clicked, close the custom dialog
                dialogButton.setOnClickListener(new OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        Toast.makeText(getApplicationContext(),ed.getText().toString(),
                                Toast.LENGTH_SHORT).show();
                        txtMainScreen.setText(ed.getText().toString());
                        dialog.dismiss();
                    }
                });

                dialog.show();
            }
        });



    }



    public void alertDialog(View v) {

        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setMessage("Share this post with your friends?").setTitle("Share Confirmation");
        builder.setPositiveButton("Yes", new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialogInterface, int i) {
                Toast.makeText(getApplicationContext(), "Yes! Great!!", Toast.LENGTH_SHORT).show();
                dialogInterface.cancel();
            }
        });

        builder.setNegativeButton("Nope", new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialogInterface, int i) {
                Toast.makeText(MainActivity.this, "Sharing declined...", Toast.LENGTH_SHORT).show();
                dialogInterface.cancel();
            }
        });

        AlertDialog ad = builder.create();
        ad.show();
    }

    public void DateDialog(View v){

        Calendar cal = Calendar.getInstance();

        DatePickerDialog datePickerDialog = new DatePickerDialog
                (this,new DatePickerDialog.OnDateSetListener(){
            public void onDateSet(DatePicker view,int year,int month, int day){
                (Toast.makeText(getApplicationContext(),"hello"+year+month+day,Toast.LENGTH_SHORT)).show();
            }
        },cal.get(Calendar.YEAR),cal.get(Calendar.MONTH),cal.get(Calendar.DAY_OF_MONTH));
        datePickerDialog.show();
    }

public void nextActivity(View v){

    Intent i2 = new Intent(this,Activity2.class);
    startActivity(i2);
}
}
